tries to send out the confirmation-link email I get a segmentation-fault
error in Ruby's SMTP library:

... lib/ruby/1.9.1/net/smtp.rb:583: [BUG] Segmentation fault
If you are using ruby 1.9.1 then upgrade to 1.9.2 (or 1.9.3 though
maybe it is still a bit new) or go back to 1.8.7
1.9.1 did not play well with Rails
OK I'm confused. The segmentation fault indicates it is happening in the
ruby 1.9.1 version of the SMTP library (see quoted text.) However, when I
go to my project and enter the Rails console, I get this:

irb(main):001:0> RUBY_VERSION

=> "1.9.3"

And when I go the project directory I get this:

story_project # ruby --version

ruby 1.9.3p0 (2011-10-30 revision 33570) [x86_64-darwin11.2.0]

The full path on the segmentation fault is:

/Users/don/.rvm/rubies/ruby-1.9.3-p0/lib/ruby/1.9.1/net/smtp.rb:583:
[BUG] Segmentation fault
What is the deal here? Why is Ruby 1.9.3 running code from 1.9.1? Is this
common? Did RVM mess this up some how?

Perplexing!??

--
You received this message because you are subscribed to the Google Groups "Ruby on Rails: Talk" group.
To view this discussion on the web visit https://groups.google.com/d/msg/rubyonrails-talk/-/S8zz7O9n9UAJ.
To post to this group, send email to rubyonrails-talk@googlegroups.com.
To unsubscribe from this group, send email to rubyonrails-talk+unsubscribe@googlegroups.com.
For more options, visit this group at http://groups.google.com/group/rubyonrails-talk?hl=en.

Search Discussions

Discussion Posts

Previous

Follow ups

Related Discussions

Discussion Navigation
viewthread | post
posts ‹ prev | 3 of 4 | next ›
Discussion Overview
grouprubyonrails-talk @
categoriesrubyonrails
postedJan 27, '12 at 11:14p
activeJan 29, '12 at 5:41p
posts4
users3
websiterubyonrails.org
irc#RubyOnRails

3 users in discussion

Don: 2 posts Colin Law: 1 post Paul: 1 post

People

Translate

site design / logo © 2022 Grokbase